#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Module
%define		pnam	ScanDeps
Summary:	Module::ScanDeps - recursively scan Perl programs for dependencies
Summary(pl.UTF-8):	Module::ScanDeps - rekurencyjne wyszukiwanie zależności programów perlowych
Name:		perl-Module-ScanDeps
Version:	1.20
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Module/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	283e4d4f215d6ce6a05c13e9b740f842
URL:		http://search.cpan.org/dist/Module-ScanDeps/
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-File-Temp
BuildRequires:	perl-Module-Metadata
BuildRequires:	perl-PathTools
BuildRequires:	perl-Test-Requires
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-version
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An application of Module::ScanDeps is to generate executables from
scripts that contains necessary modules; this module supports two such
projects, PAR and App::Packer.  Please see their respective
documentations on CPAN for further information.

%description -l pl.UTF-8
Zastosowanie Module::ScanDeps to generowanie ze skryptów plików
wykonywalnych zawierających wszelkie potrzebne skryptowi moduły.  Ten
moduł wspiera dwa takie projekty: PAR i App::Packer. Więcej informacji
można znaleźć w ich dokumentacji w CPAN.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS Changes README
%attr(755,root,root) %{_bindir}/scandeps.pl
%{perl_vendorlib}/Module/ScanDeps.pm
%{perl_vendorlib}/Module/ScanDeps
%{_mandir}/man1/scandeps.pl.1p*
%{_mandir}/man3/Module::ScanDeps.3pm*
%changelog
* Sun Dec 27 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Module-ScanDeps.git;a=log;h=master

* Sun Dec 27 2015 Jakub Bogusz <qboosh@pld-linux.org> d7f2c59
- updated to 1.20; no longer uses deprecated Module::Build::ModuleInfo

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> 7593213
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> ff8ade5
- release 2 (by relup.sh)

* Sun Jun 30 2013 Jakub Bogusz <qboosh@pld-linux.org> bdc3557
- updated to 1.10

* Thu Aug 27 2009 amateja <amateja@pld-linux.org> 8c85d97
- updated to 0.94

* Sat Dec 13 2008 Jakub Bogusz <qboosh@pld-linux.org> b08b4d1
- generic URL

* Thu Dec 11 2008 radek <radek@pld-linux.org> 6c88107
- version 0.89

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5b0a5bd
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d2e5230
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ef56eba
- converted to UTF-8

* Sun Feb 26 2006 Maciej Pijanka <agaran@pld-linux.org> 9c336b1
- up to 0.56 rel 1

* Sun Jan 09 2005 Adam Gołębiowski <adamg@pld-linux.org> be003e3
- updated to 0.51

* Wed Dec 01 2004 radek <radek@pld-linux.org> 74effd0
- autoupdated to 0.50

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> f0bc628
- formatting

* Sun Sep 05 2004 Adam Gołębiowski <adamg@pld-linux.org> c08bcff
- updated to 0.47

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> e3c66f5
- updated to 0.46

* Sat Jun 05 2004 radek <radek@pld-linux.org> 4cf660b
- massive: unfold macros in name/summary & other unifications

* Thu Jun 03 2004 Adam Gołębiowski <adamg@pld-linux.org> 485ed77
- updated to 0.43

* Thu May 06 2004 ankry <ankry@pld-linux.org> f29dcb4
- fixed perl-devel BR

* Sun May 02 2004 Adam Gołębiowski <adamg@pld-linux.org> bb44186
- updated to 0.42

